Bug 91764 - RTL: Arabic diacritics cant be found using search dialog
Summary: RTL: Arabic diacritics cant be found using search dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search RTL-Arabic
  Show dependency treegraph
 
Reported: 2015-05-31 03:13 UTC by zahra
Modified: 2019-03-07 03:44 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
a sentence from holy qoran to confirm my problem about diacritic. this sentence means: in the name of god the most compassionate the most merciful. (70 bytes, text/plain)
2015-05-31 03:13 UTC, zahra
Details
Document showing problem with arabic characters with diacritics (13.33 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-06-14 15:39 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zahra 2015-05-31 03:13:16 UTC
Created attachment 116186 [details]
a sentence from holy qoran to confirm my problem about diacritic. 
this sentence means: in the name of god the most compassionate the most merciful.

it can not possible to navigate in our document and read them character by character when we read persian or arabic document and it has diacritics. 
i mean open office and libreoffice dont consider diacritics in arabic and persian one of the character to be read and edit by left and arro keys. 
for example when we want to read and edit txt, if we move in the document by arro key and we want to edit it when it has diacritics its not easy. 
for example we read txt and we want to remove ّ tashdid from document completely when we use control h, in the first part we type ّ and the second part we dont type anything for replacement to remove ّ in all documents, its like sometime we dont have any ّ in our documents. 
it problem is true about all our diacritics َ، ُ، ِ، ّ، ًْ، ٌ، ٍ، ْ. 
i appreciate you if you solve these problems in libreoffice 4.5 or at least 5.
Comment 1 Joel Madero 2015-06-01 02:41:09 UTC Comment hidden (obsolete)
Comment 2 Adolfo Jayme 2015-06-07 03:37:54 UTC Comment hidden (no-value)
Comment 3 Robinson Tryon (qubit) 2015-09-03 10:29:06 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2016-09-11 13:52:55 UTC Comment hidden (obsolete)
Comment 5 zahra 2016-09-14 06:52:05 UTC
(In reply to Joel Madero from comment #1)
> Hey Zahra -
> 
> Can you explain the issue a bit clearer (preferably in numbered steps).
> 
> Example:
> 1. Open attached document;
> 2. Place cursor....
> 3. Do step Z
> 
> . . . etc...
> 
> Very hard to follow a paragraph of text - explain how to reproduce the issue
> with the document that you have attached.
> 
> Also just FYI - almost guaranteed this will not be resolved by 5.0 or even
> 5.1 - we are a team of volunteers, if a volunteer finds that bug to be
> interesting, they will fix it, else, it will not be fixed. If you or someone
> you know is a developer, we'd happily help you understand the code so that
> you can get this issue resolved :)
> 
> Setting to NEEDINFO - once you describe the issue clearly please set to
> UNCONFIRMED. Thanks!

hi.
i realy appreciate your efforts.
my bug is duplicate of the bug.
100854
https://bugs.documentfoundation.org/show_bug.cgi?id=100854
its the same problem.
its a very critical problem for me.
because most of times, i use diacritics and cant use libreoffice easily.
because libreoffice and openoffice dont recognize diacritics independently.
they count diacritics as part of letter and when i want to navigate letter by letter, nvda reads only letter and not diacritics.

for example: 
steps to reproduce:
1/copy this sentences in libreoffice writer and save it in docx or any format like docx.
2/ press control+h to activate find and replace.
3/ in the first fild, type ّ when your keyboard is set to persian.
4/ in the replace with type nothing.
5/ click okay for replace all.
there are three ّ in this sentence.

actual result: openoffice libreoffice say search key not found.
expected behaviour:
openoffice libreoffice should recognize the diacritics and behave them like normal letters.
they should say three ّ was found and replace them as i mentioned.

here you are the text for testing.


ائمّه عليهم السّلام چراغهاي هدايت و كشتي نجات براي سعادت همه انسان‌ها و تقرّب آن‌ها به خداوند هستند.
Comment 6 Xisco Faulí 2016-09-14 15:44:49 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2016-10-07 17:41:16 UTC Comment hidden (obsolete)
Comment 8 Urmas 2016-10-08 06:16:58 UTC Comment hidden (obsolete)
Comment 9 zahra 2017-06-13 03:24:48 UTC Comment hidden (obsolete)
Comment 10 zahra 2017-06-13 03:33:15 UTC Comment hidden (obsolete)
Comment 11 vihsa 2017-06-13 09:16:34 UTC Comment hidden (obsolete)
Comment 12 Pedro 2017-06-14 15:39:17 UTC Comment hidden (obsolete)
Comment 13 Pedro 2017-06-26 21:43:50 UTC Comment hidden (obsolete)
Comment 14 Yousuf Philips (jay) (retired) 2017-10-13 19:44:28 UTC
So lets limit this bug to the find & replace issue of arabic diacritics and bug 54494 will deal the keyboard navigation between letters issue.

steps:
1. open attachment 134028 [details]
2. open find toolbar or find & replace dialog
3. type ُ  (dumma) and it will appear as a dotted-lined circle and a dumma
4. find will result in no results though the document has 3 dummas
5. type كُ (kaaf + dumma) and it will find 2 results

Version: 6.0.0.0.alpha0+
Build ID: 3672cdd35985201ea87463cf032fedd02c052f4d
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 15 Lior Kaplan 2017-10-13 21:12:14 UTC
Notice that the advanced options of the search & replace dialog have "ignore diacritics" and "ignore kashida" on by default (bug #52204 and bug #77123). 

Please verify if either of these options helps with this issue.
Comment 16 Yousuf Philips (jay) (retired) 2017-10-14 18:28:55 UTC
(In reply to Lior Kaplan from comment #15)
> Notice that the advanced options of the search & replace dialog have "ignore
> diacritics" and "ignore kashida" on by default (bug #52204 and bug #77123). 

Disabling these didnt solve the issue.
Comment 17 QA Administrators 2019-03-07 03:44:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug